Subject: shadowed passwd file, Ultrix 4.4

From: [email-masked] (Florian Fuchs)
Date: Thu, 26 Jan 1995 10:30:40 -0500

Hi!
We are running Ultrix 4.4 and we have our passwd file shadowed. Our 'ftp-anonymous' account works perfect, hwever, thje others which have passwds do
not work, as there is a '*' in the passwd file. What can we d about this?

-Florian Fuchs

---

From: Bob DeBula <[email-masked]>
Date: Thu, 26 Jan 1995 14:04:03 -0500 (EST)

> not work, as there is a '*' in the passwd file. What can we d about this?

We are running 4.3A Ultrix with Ultrix Enhanced Security switched on.
Amongst other things, this means that passwords are effectively
shadowed (although they're in the auth ndbm database, not /etc/shadow).
I believe there is a build option in wuftp for Ultrix enhanced
security (at least, I managed to build it and it works without the
problems you mention). I guess it depends on whether you are using       
enhanced security or real password shadowing (/etc/shadow) as to
whether re-building with the proper option will help this situation.